### Name: pld
### Title: Compute partial autocorrelations, forward variances and their
###   derivatives.
### Aliases: LD LDgrad LDhessian
### Keywords: ts

### ** Examples

# From file LD.R
R <- matrix(c(1,1,2,0.9,0.8,0.7,0.4,0.5,0.6,0.9,0.9,0.9),nrow=3)
Tau <- matrix(c(1,1,1,1,0,0,1,1,2,1,2,2),nrow=3)
R[Tau==2] <- 0
LD(R,Tau)

R[,1]<-R[,1]+1
LD(R,Tau)

# From file LDgrad.r
R <- matrix(c(1,1,2,0.9,0.8,0.7,0.4,0.5,0.6,0.9,0.9,0.9),nrow=3)
Tau <- matrix(c(1,1,1,1,0,0,1,1,2,1,2,2),nrow=3)
R[,1]<-R[,1]+1
LD(R,Tau)

R <- matrix(c(1,1,2,0.9,0.8,0.7,0.4,0.5,0.6,0.9,0.9,0.9),nrow=3)
Tau <- matrix(c(1,1,1,0,1,1,1,1,1,0,2,2),nrow=3)
R[,1]<-R[,1]+1
LD(R,Tau)

# From file LDhessian.r
R <- matrix(c(1,1,2,0.9,0.8,0.7,0.4,0.5,0.6,0.9,0.9,0.9),nrow=3)
Tau <- matrix(c(1,1,1,1,0,0,1,1,2,1,2,2),nrow=3)
R[,1]<-R[,1]+1
LDhessian(R,Tau)

R <- matrix(c(1,1,2,0.9,0.8,0.7,0.4,0.5,0.6,0.9,0.9,0.9),nrow=3)
Tau <- matrix(c(1,1,1,0,1,1,1,1,1,0,2,2),nrow=3)
R[,1]<-R[,1]+1
LD(R,Tau)



